Update Webhook
curl --request PUT \
--url https://api.eflow.team/v1/networks/webhooks/{webhookId} \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"webhook_types": [
"affiliate_updated"
],
"http_method": "post",
"webhook_url": "https://example.com/webhook",
"description": "Updated webhook",
"status": "active"
}
'import requests
url = "https://api.eflow.team/v1/networks/webhooks/{webhookId}"
payload = {
"webhook_types": ["affiliate_updated"],
"http_method": "post",
"webhook_url": "https://example.com/webhook",
"description": "Updated webhook",
"status": "active"
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
webhook_types: ['affiliate_updated'],
http_method: 'post',
webhook_url: 'https://example.com/webhook',
description: 'Updated webhook',
status: 'active'
})
};
fetch('https://api.eflow.team/v1/networks/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"network_webhook_id": 1,
"network_id": 1,
"webhook_types": [
"affiliate_updated"
],
"http_method": "post",
"webhook_url": "https://example.com/webhook",
"description": "My webhook",
"status": "active",
"time_created": 1774726693,
"time_saved": 1774726693
}Webhooks
Update Webhook
PUT
/
networks
/
webhooks
/
{webhookId}
Update Webhook
Update an existing webhook configuration by its ID. All fields in the request body will overwrite the current values.
Authorizations
The Everflow API key generated from the Control Center > Security.
Path Parameters
The webhook ID.
Body
application/json
Event types that should trigger this webhook. You can specify more than one.
Available options:
advertiser_created, advertiser_signed_up, advertiser_updated, affiliate_approved_for_offer, affiliate_created, affiliate_signed_up, affiliate_signup_verdict, affiliate_updated, offer_created, offer_updated, traffic_optimized HTTP method to use when sending the webhook.
Available options:
get, post The webhook endpoint URL.
Name or description for the webhook.
Webhook status.
Available options:
active, inactive Response
200 - application/json
A webhook configuration.
Unique webhook ID.
Example:
1
Network ID.
Example:
1
Event types that trigger this webhook.
Available options:
advertiser_created, advertiser_signed_up, advertiser_updated, affiliate_approved_for_offer, affiliate_created, affiliate_signed_up, affiliate_signup_verdict, affiliate_updated, offer_created, offer_updated, traffic_optimized Example:
["affiliate_updated"]
HTTP method used when sending the webhook.
Available options:
get, post Example:
"post"
The webhook endpoint URL.
Example:
"https://example.com/webhook"
Optional description for the webhook.
Example:
"My webhook"
Webhook status.
Available options:
active, inactive Example:
"active"
Unix timestamp of creation.
Example:
1774726693
Unix timestamp of last update.
Example:
1774726693
Was this page helpful?
